com.independentsoft.exchange

## Class CalendarFolder

- java.lang.Object
- - com.independentsoft.exchange.Folder
  - - com.independentsoft.exchange.CalendarFolder

-     public class CalendarFolder
      extends Folder

  The Class CalendarFolder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarFolder()` Instantiates a new calendar folder.
    `CalendarFolder(java.lang.String displayName)` Instantiates a new calendar folder.
    `CalendarFolder(java.lang.String displayName, java.lang.String folderClass)` Instantiates a new calendar folder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CalendarPermissionSet` | `getCalendarPermissionSet()` Gets the calendar permission set.
    `void` | `setCalendarPermissionSet(CalendarPermissionSet permissionSet)` Sets the calendar permission set.
    `java.lang.String` | `toString()` Converts the value of the current Folder object to its equivalent string representation.

    - ### Methods inherited from class com.independentsoft.exchange.Folder

      `getArchiveTag, getChildFolderCount, getComment, getCreationTime, getDisplayName, getEffectiveRights, getEntryId, getExtendedProperties, getFolderClass, getFolderId, getLastModifiedTime, getManagedFolderInformation, getParentId, getPermissionSet, getRetentionTag, getSearchKey, getSize, getStandardFolder, getTotalCount, getUnreadCount, hasSubFolders, isHidden, isReadOnly, isSystem, setComment, setDisplayName, setFolderClass, setIsHidden, setPermissionSet`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarFolder

          public CalendarFolder()

      Instantiates a new calendar folder.

    - #### CalendarFolder

          public CalendarFolder(java.lang.String displayName)

      Instantiates a new calendar folder.
      Parameters:
        `displayName` - the display name

    - #### CalendarFolder

          public CalendarFolder(java.lang.String displayName,
                                java.lang.String folderClass)

      Instantiates a new calendar folder.
      Parameters:
        `displayName` - the display name
        `folderClass` - the folder class

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Folder`
      Converts the value of the current Folder object to its equivalent string representation.
      Overrides:
        `toString` in class `Folder`
      Returns:
        the string

    - #### getCalendarPermissionSet

          public CalendarPermissionSet getCalendarPermissionSet()

      Gets the calendar permission set.
      Returns:
        the calendar permission set

    - #### setCalendarPermissionSet

          public void setCalendarPermissionSet(CalendarPermissionSet permissionSet)

      Sets the calendar permission set.
      Parameters:
        `permissionSet` - the new calendar permission set